import { AxiosInstance } from '@dfns/cloud-library';
import { SignersCoordinatorGetPkAddressRequest, SignersCoordinatorGetPkAddressResponse, SignersCoordinatorGetPkRequest, SignersCoordinatorGetPkResponse, SignersCoordinatorKeygenRequest, SignersCoordinatorKeygenResponse, SignersCoordinatorSignRequest, SignersCoordinatorSignResponse } from '../types';
export declare class SignersCoordinatorClient {
    private client;
    constructor(client: AxiosInstance);
    sign(body: SignersCoordinatorSignRequest): Promise<SignersCoordinatorSignResponse>;
    keygen(body: SignersCoordinatorKeygenRequest): Promise<SignersCoordinatorKeygenResponse>;
    private getPeers;
    getPublicKey(body: SignersCoordinatorGetPkRequest): Promise<SignersCoordinatorGetPkResponse>;
    getPublicKeyAddress(body: SignersCoordinatorGetPkAddressRequest): Promise<SignersCoordinatorGetPkAddressResponse>;
}
